Name:           qmidiarp
Version:        0.7.1
Release:        %mkrel 1
Summary:        Arpgeggiator, sequencer and LFO for JACK and ALSA
License:        GPLv2
Group:          Sound/Midi
URL:            https://qmidiarp.sourceforge.net/
Source0:        https://sourceforge.net/projects/qmidiarp/files/qmidiarp/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(pangocairo)

Requires:       a2jmidid
Recommends:     %{name}-plugins-lv2

%description
Advanced arpgeggiator, step sequencer and MIDI LFO for JACK and ALSA.

%package        plugins-lv2
Summary:        LV2 plugins of the QMidiArp MIDI arpeggiator, sequencer and LFO
Group:          Sound/Midi
Requires:       lv2

%description    plugins-lv2
This package contains the QMidiArp LV2 plugins of the three modules with
Qt-GUIs. QMidiArp is an advanced arpgeggiator, step sequencer and
MIDI LFO for JACK and ALSA.

%prep
%autosetup

sed -i 's|MATCHES "Debug"|MATCHES "RelWithDebInfo"|' CMakeLists.txt
sed -i 's|\${CMAKE_INSTALL_PREFIX}/lib/lv2|\${CMAKE_INSTALL_LIBDIR}/lv2|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%files plugins-lv2
%license COPYING
%dir %{_libdir}/lv2
%{_libdir}/lv2/*


%changelog
* Sat Sep 14 2024 daviddavid <daviddavid> 0.7.1-1.mga10
+ Revision: 2095982
- new version: 0.7.1

* Mon Jul 15 2024 daviddavid <daviddavid> 0.7.0-2.mga10
+ Revision: 2081628
- build with cmake

* Mon Jul 15 2024 daviddavid <daviddavid> 0.7.0-1.mga10
+ Revision: 2081588
- new version: 0.7.0

* Sun Apr 03 2022 umeabot <umeabot> 0.6.5-7.mga9
+ Revision: 1842154
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.6.5-6.mga8
+ Revision: 1659494
- Rebuild for new Qt5
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 0.6.5-5.mga8
+ Revision: 1534264
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 01 2019 daviddavid <daviddavid> 0.6.5-4.mga8
+ Revision: 1448634
- add missing dependency on a2jmidid (mga#25504)

* Mon Apr 01 2019 umeabot <umeabot> 0.6.5-3.mga7
+ Revision: 1384226
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.6.5-2.mga7
+ Revision: 1300661
- Mageia 7 Mass Rebuild

* Sat Dec 23 2017 daviddavid <daviddavid> 0.6.5-1.mga7
+ Revision: 1184134
- new versiopn: 0.6.5

* Sat Aug 26 2017 daviddavid <daviddavid> 0.6.4-2.mga7
+ Revision: 1147927
- compile code using -std=gnu++11

* Sun Nov 06 2016 daviddavid <daviddavid> 0.6.4-1.mga6
+ Revision: 1065544
- new version: 0.6.4

* Tue Feb 16 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 962512
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 daviddavid <daviddavid> 0.6.3-1.mga6
+ Revision: 897865
- new version: 0.6.3
- remove merged upstream patches

* Sun Oct 18 2015 daviddavid <daviddavid> 0.6.2-1.mga6
+ Revision: 892476
- new version: 0.6.2
- add two upstream patches:
  * Patch0: fix compatibility LV2 GUI with qt5
  * Patch1: fix build ofr malloc issue and linking issue
  * http://sourceforge.net/p/qmidiarp/bugs/15/

* Sat Sep 05 2015 daviddavid <daviddavid> 0.6.1-1.mga6
+ Revision: 872915
- new version: 0.6.1
- build with Qt5
- add plugins-lv2 subpackage
- switch BuildRequires to pkgconfig()
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-4.mga5
+ Revision: 748537
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-3.mga5
+ Revision: 688498
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.2-2.mga4
+ Revision: 528478
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 emuse <emuse> 0.5.2-1.mga4
+ Revision: 445591
- do some mga specific adaptations
- imported package qmidiarp

